Subject: [IPsec] I-D Action:draft-ietf-ipsecme-traffic-visibility-12.txt

From: [email-masked]
Date: Wed, 20 Jan 2010 08:15:01 -0800 (PST)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the IP Security Maintenance and Extensions Working Group of the IETF.

	Title           : Wrapped ESP for Traffic Visibility
	Author(s)       : K. Grewal, et al.
	Filename        : draft-ietf-ipsecme-traffic-visibility-12.txt
	Pages           : 15
	Date            : 2010-01-20

This document describes the Wrapped Encapsulating Security 
Payload (WESP) protocol, which builds on the Encapsulating 
Security Payload (ESP) [RFC4303], and is designed to allow 
intermediate devices to (1) ascertain if data confidentiality is 
being employed within ESP and if not, (2) inspect the IPsec 
packets for network monitoring and access control functions.  
Currently in the IPsec ESP standard, there is no deterministic 
way to differentiate between encrypted and unencrypted payloads 
by simply examining a packet. This poses certain challenges to 
the intermediate devices that need to deep inspect the packet 
before making a decision on what should be done with that packet 
(Inspect and/or Allow/Drop). The mechanism described in this 
document can be used to easily disambiguate integrity-only ESP 
from ESP-encrypted packets, without compromising on the security 
provided by ESP.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-ipsecme-traffic-visibility-12.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: Yaron Sheffer <[email-masked]>
Date: Wed, 20 Jan 2010 21:15:21 +0200

So we finally have a draft that attempts to resolve all the issues that were raised by the IESG. As you know, some important changes were made, so if you care about the draft (basically every regular participant expressed an opinion during the poll...), please reread it now.

Thanks,
	Yaron

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of [email-masked]
> Sent: Wednesday, January 20, 2010 18:15
> To: [email-masked]
> Cc: [email-masked]
> Subject: [IPsec] I-D Action:draft-ietf-ipsecme-traffic-visibility-
> 12.txt
> 
> This document describes the Wrapped Encapsulating Security Payload
> (WESP) protocol, which builds on the Encapsulating Security Payload
> (ESP) [RFC4303], and is designed to allow intermediate devices to (1)
> ascertain if data confidentiality is being employed within ESP and if
> not, (2) inspect the IPsec packets for network monitoring and access
> control functions.
> Currently in the IPsec ESP standard, there is no deterministic way to
> differentiate between encrypted and unencrypted payloads by simply
> examining a packet. This poses certain challenges to the intermediate
> devices that need to deep inspect the packet before making a decision
> on what should be done with that packet (Inspect and/or Allow/Drop).
> The mechanism described in this document can be used to easily
> disambiguate integrity-only ESP from ESP-encrypted packets, without
> compromising on the security provided by ESP.
>